org.apache.hc.client5.http.impl.async

## Class AsyncConnectExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.AsyncConnectExec

All Implemented Interfaces:
  AsyncExecChainHandler

    @Contract(threading=STATELESS)
     @Internal
    public final class AsyncConnectExec
    extends Object
    implements AsyncExecChainHandler

Request execution handler in the asynchronous request execution chain that is responsible for establishing connection to the target origin server as specified by the current connection route.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`AsyncConnectExec(HttpProcessor proxyHttpProcessor, AuthenticationStrategy proxyAuthStrategy, SchemePortResolver schemePortResolver, boolean authCachingDisabled)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(HttpRequest request, AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback asyncExecCallback)` Executes the actual HTTP request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncConnectExec

    public AsyncConnectExec(HttpProcessor proxyHttpProcessor,
                            AuthenticationStrategy proxyAuthStrategy,
                            SchemePortResolver schemePortResolver,
                            boolean authCachingDisabled)

### Method Detail

#### execute

    public void execute(HttpRequest request,
                        AsyncEntityProducer entityProducer,
                        AsyncExecChain.Scope scope,
                        AsyncExecChain chain,
                        AsyncExecCallback asyncExecCallback)
                 throws HttpException,
                        IOException

Description copied from interface: `AsyncExecChainHandler`
Executes the actual HTTP request. The handler can choose to return a response message immediately inside the call or asynchronously at some later point or delegate request execution to the next element in the execution chain.

Specified by:
  `execute` in interface `AsyncExecChainHandler`
Parameters:
  `request` - the actual request.
  `entityProducer` - the request entity producer or `null` if the request does not enclose an entity.
  `scope` - the execution scope .
  `chain` - the next element in the request execution chain.
  `asyncExecCallback` - the execution callback.
Throws:
  `HttpException`
  `IOException`